import type { PropsPlugin } from '../../../../types/component-plugin';
import type { ProgressUIProps } from '../types';

export function createProgressMetaPlugin(meta: string): PropsPlugin<ProgressUIProps> {
  return (props) => ({
    ...props,
    meta,
  });
}

export function createProgressColorPlugin(color: string): PropsPlugin<ProgressUIProps> {
  return (props) => ({
    ...props,
    data: {
      ...props.data,
      color,
    },
  });
}
